Bug 75521 - New port: mail/py-spf Python implementation of SPF
Summary: New port: mail/py-spf Python implementation of SPF
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-26 23:10 UTC by Marcus Grando
Modified: 2004-12-28 15:02 UTC (History)
0 users

See Also:


Attachments
py-spf.sh (2.29 KB, text/plain)
2004-12-26 23:10 UTC, Marcus Grando
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Grando 2004-12-26 23:10:18 UTC
New port: mail/py-spf Python implementation of SPF
Comment 1 Marcus Grando 2004-12-27 01:20:36 UTC
Fix portlint FATAL

 >FATAL: Makefile: extra item "RUN_DEPENDS" placed in the MAINTAINER 
section.
 >FATAL: Makefile: COMMENT has to be there.

--begin patch--
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       py-spf
#       py-spf/Makefile
#       py-spf/distinfo
#       py-spf/pkg-descr
#       py-spf/pkg-plist
#
echo c - py-spf
mkdir -p py-spf > /dev/null 2>&1
echo x - py-spf/Makefile
sed 's/^X//' >py-spf/Makefile << 'END-of-py-spf/Makefile'
X# New ports collection makefile for:   py-spf
X# Date created:                                26 Dec 2004
X# Whom:                                        Marcus Grando 
<marcus@corp.grupos.com.br>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      spf
XPORTVERSION=   1.6
XCATEGORIES=    mail python
XMASTER_SITES=  http://www.wayforward.net/spf/
XPKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
XDISTNAME=      py${PORTNAME}-${PORTVERSION}
X
XMAINTAINER=    marcus@corp.grupos.com.br
XCOMMENT=       Python implementation of SPF
X
XRUN_DEPENDS= 
${PYTHONPREFIX_SITELIBDIR}/DNS/__init__.py:${PORTSDIR}/dns/py-dns
X
XDIST_SUBDIR=   python
XUSE_PYTHON=    yes
XUSE_PYDISTUTILS=yes
X
XDOCSDIR?=      ${PREFIX}/share/doc/py-${PORTNAME}
X
X.if !defined(NOPORTDOCS)
XPORTDOCS=       *
X.endif
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X       @${MKDIR} ${DOCSDIR}
X       ${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X.endif
X       @${CHMOD} 755 ${PYTHONPREFIX_SITELIBDIR}/spf.py
X       @${LN} -s ${PYTHONPREFIX_SITELIBDIR}/spf.py ${PREFIX}/bin
X
X.include <bsd.port.mk>
END-of-py-spf/Makefile
echo x - py-spf/distinfo
sed 's/^X//' >py-spf/distinfo << 'END-of-py-spf/distinfo'
XMD5 (python/pyspf-1.6.tar.gz) = 7ff35d8f9db41f2f7e0068f78f243a3d
XSIZE (python/pyspf-1.6.tar.gz) = 11424
END-of-py-spf/distinfo
echo x - py-spf/pkg-descr
sed 's/^X//' >py-spf/pkg-descr << 'END-of-py-spf/pkg-descr'
XPython implementation of SPF (Sender Permitted From)
X
XFor more information about SPF, a tool against email forgery, see
X       http://spf.pobox.com
X
XFor news, bugfixes, etc. visit the home page for this implementation at
X       http://www.wayforward.net/spf/
X
XWWW: http://www.wayforward.net/spf/
X
XMarcus Grando <marcus@corp.grupos.com.br>
END-of-py-spf/pkg-descr
echo x - py-spf/pkg-plist
sed 's/^X//' >py-spf/pkg-plist << 'END-of-py-spf/pkg-plist'
Xbin/spf.py
Xlib/%%PYTHON_VERSION%%/site-packages/spf.py
Xlib/%%PYTHON_VERSION%%/site-packages/spf.pyc
Xlib/%%PYTHON_VERSION%%/site-packages/spf.pyo
END-of-py-spf/pkg-plist
exit
--end patch--

-- 
Marcus Grando
Grupos Internet S/A
marcus(at)corp.grupos.com.br
Comment 2 Pav Lucistnik freebsd_committer 2004-12-28 15:01:58 UTC
State Changed
From-To: open->closed

New port added, thank you!